package tools;

import org.bukkit.Bukkit;
import org.bukkit.Sound;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class GameUtil {
    public static String hideName(String audience) {
        if (audience.length() <= 2) {
            return "**";
        }
        char firstChar = audience.charAt(0);
        char lastChar = audience.charAt(audience.length() - 1);
        StringBuilder maskedString = new StringBuilder();
        for (int i = 1; i < audience.length() - 1; i++) {
            maskedString.append('*');
        }
        return String.valueOf(firstChar) + maskedString + lastChar;
    }
    public static void sendMessage(CommandSender sender, String message) {
        sender.sendMessage("§c[系统]§a" + message);
    }
    public static void sendAllSound(String sound) {
        for (Player player : Bukkit.getOnlinePlayers()) {
            if (sound.contains("_")) {
                player.playSound(player.getLocation(), Sound.valueOf(sound), 1, 1);
            } else {
                player.playSound(player.getLocation(), sound, 0.5F, 1);
            }
        }
    }
}
